"""myclub URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.urls import path

from events import views

app_name = 'events'

urlpatterns = [
    # -note- that these next two paths (maybe the only two)
    # point to the same view function, and will either supply
    # no arguments, or two. the view function is prepared for
    # either.
    
    path('', views.home, name='home'),
    path('<int:year>/<str:month>/', views.home, name='home'),
    path('all_events/', views.all_events, name='all_events'),
    path('test_filt/', views.test_filt, name='test_filt'),
]
